Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.osgi
Class BundleDelegatingClassLoader

    java.lang.Object
      java.lang.ClassLoader
          org.apache.openjpa.persistence.osgi.BundleDelegatingClassLoader

    public class BundleDelegatingClassLoader

extends ClassLoader

This is a simple ClassLoader that delegates to the Bundle and is used by the PersistenceUnitInfo

Version:
  $Rev$ $Date$

Constructor Summary
`BundleDelegatingClassLoader(org.osgi.framework.Bundle b)`

Method Summary
`protected Class<?>` | `findClass(String className)`
`protected URL` | `findResource(String resName)`
`protected Enumeration<URL>` | `findResources(String resName)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleDelegatingClassLoader

    public BundleDelegatingClassLoader(org.osgi.framework.Bundle b)

Method Detail

### findClass

    protected Class<?> findClass(String className)
                          throws ClassNotFoundException

  Overrides:
    `findClass` in class `ClassLoader`
  Throws:
    `ClassNotFoundException`

### findResource

    protected URL findResource(String resName)

  Overrides:
    `findResource` in class `ClassLoader`

### findResources

    protected Enumeration<URL> findResources(String resName)
                                      throws IOException

  Overrides:
    `findResources` in class `ClassLoader`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.